/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_dr_tbl force';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_dr_type force';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

create or replace TYPE xxas_nh_dr_type AS OBJECT
  (dr_name             varchar2(200)
  ,dr_job              varchar2(400)
  ,dr_transfer_date    date
  );
/

CREATE OR REPLACE TYPE xxas_nh_dr_tbl IS
TABLE OF xxas_nh_dr_type
/

COMMIT;
EXIT;
